Bug 1651119 - [abrt] lollypop: __new__(): Gdk.py:346:__new__:TypeError: constructor returned NULL
Summary: [abrt] lollypop: __new__(): Gdk.py:346:__new__:TypeError: constructor returne...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lollypop
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bb68716bb96c18232c425e9b84d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 08:58 UTC by sam0hack
Modified: 2019-02-09 02:12 UTC (History)
1 user (show)

Fixed In Version: lollypop-0.9.916-1.fc28 lollypop-0.9.916-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-14 10:53:44 UTC


Attachments (Terms of Use)
File: backtrace (577 bytes, text/plain)
2018-11-19 08:58 UTC, sam0hack
no flags Details
File: cgroup (345 bytes, text/plain)
2018-11-19 08:59 UTC, sam0hack
no flags Details
File: cpuinfo (1.31 KB, text/plain)
2018-11-19 08:59 UTC, sam0hack
no flags Details
File: environ (3.81 KB, text/plain)
2018-11-19 08:59 UTC, sam0hack
no flags Details
File: mountinfo (4.08 KB, text/plain)
2018-11-19 08:59 UTC, sam0hack
no flags Details
File: namespaces (129 bytes, text/plain)
2018-11-19 08:59 UTC, sam0hack
no flags Details
File: open_fds (1.97 KB, text/plain)
2018-11-19 08:59 UTC, sam0hack
no flags Details

Description sam0hack 2018-11-19 08:58:53 UTC
Description of problem:
Every time i start program crashed. i don't know the reason

Version-Release number of selected component:
lollypop-0.9.612-1.fc29

Additional info:
reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/bin/lollypop
crash_function: __new__
exception_type: TypeError
executable:     /usr/bin/lollypop
interpreter:    python3-3.7.1-2.fc29.x86_64
kernel:         4.19.2-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
Gdk.py:346:__new__:TypeError: constructor returned NULL

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/lollypop/widgets_album.py", line 165, in _on_eventbox_realize
    window.set_cursor(Gdk.Cursor(Gdk.CursorType.HAND2))
  File "/usr/lib64/python3.7/site-packages/gi/overrides/Gdk.py", line 346, in __new__
    return cls.new(*args, **kwds)
TypeError: constructor returned NULL

Local variables in innermost frame:
cls: <class 'gi.overrides.Gdk.Cursor'>
args: (<enum GDK_HAND2 of type Gdk.CursorType>,)
kwds: {}
arg_len: 1
kwd_len: 0
total_len: 1

Comment 1 sam0hack 2018-11-19 08:58:59 UTC
Created attachment 1507137 [details]
File: backtrace

Comment 2 sam0hack 2018-11-19 08:59:00 UTC
Created attachment 1507138 [details]
File: cgroup

Comment 3 sam0hack 2018-11-19 08:59:04 UTC
Created attachment 1507139 [details]
File: cpuinfo

Comment 4 sam0hack 2018-11-19 08:59:06 UTC
Created attachment 1507140 [details]
File: environ

Comment 5 sam0hack 2018-11-19 08:59:07 UTC
Created attachment 1507141 [details]
File: mountinfo

Comment 6 sam0hack 2018-11-19 08:59:09 UTC
Created attachment 1507142 [details]
File: namespaces

Comment 7 sam0hack 2018-11-19 08:59:10 UTC
Created attachment 1507143 [details]
File: open_fds

Comment 8 MartinKG 2018-11-19 09:22:03 UTC
upstream ticket https://gitlab.gnome.org/World/lollypop/issues/1546

Comment 9 MartinKG 2018-12-10 09:12:55 UTC
was already fixed upstream: https://gitlab.gnome.org/World/lollypop/commit/5f5a5e5cd967eef9416e835e4dc46deca5c04cc0

Comment 10 MartinKG 2018-12-14 10:53:44 UTC
solved with lollypop-0.9.900-1.fc29
https://koji.fedoraproject.org/koji/buildinfo?buildID=1172646

Comment 11 Fedora Update System 2018-12-16 03:17:33 UTC
lollypop-0.9.903-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8cdee6ca9a

Comment 12 Fedora Update System 2018-12-16 03:57:52 UTC
lollypop-0.9.903-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fd329562bd

Comment 13 Fedora Update System 2018-12-19 01:43:41 UTC
lollypop-0.9.904-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-20ae3179f5

Comment 14 Fedora Update System 2018-12-19 03:36:46 UTC
lollypop-0.9.904-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-78ae73904e

Comment 15 Fedora Update System 2018-12-19 08:32:25 UTC
lollypop-0.9.905-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e231217f2c

Comment 16 Fedora Update System 2018-12-19 08:32:28 UTC
lollypop-0.9.905-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-487ec4ade7

Comment 17 Fedora Update System 2018-12-20 06:40:00 UTC
lollypop-0.9.906-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ac6ef3576

Comment 18 Fedora Update System 2018-12-20 06:40:03 UTC
lollypop-0.9.906-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-120b8228d3

Comment 19 Fedora Update System 2018-12-21 05:47:04 UTC
lollypop-0.9.906-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ac6ef3576

Comment 20 Fedora Update System 2018-12-21 21:05:55 UTC
lollypop-0.9.906-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-120b8228d3

Comment 21 Fedora Update System 2018-12-26 11:45:05 UTC
lollypop-0.9.907-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5317f98a5a

Comment 22 Fedora Update System 2018-12-26 11:45:09 UTC
lollypop-0.9.907-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-38871e83ef

Comment 23 Fedora Update System 2018-12-27 02:34:37 UTC
lollypop-0.9.907-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-38871e83ef

Comment 24 Fedora Update System 2018-12-27 02:58:08 UTC
lollypop-0.9.907-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5317f98a5a

Comment 25 Fedora Update System 2018-12-27 14:42:20 UTC
lollypop-0.9.908-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c2f4d4b1ef

Comment 26 Fedora Update System 2018-12-27 14:42:23 UTC
lollypop-0.9.908-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-27750947f8

Comment 27 Fedora Update System 2018-12-28 06:25:12 UTC
lollypop-0.9.908-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-27750947f8

Comment 28 Fedora Update System 2018-12-28 08:31:02 UTC
lollypop-0.9.908-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c2f4d4b1ef

Comment 29 Fedora Update System 2019-01-03 15:41:28 UTC
lollypop-0.9.909-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3797a2ac77

Comment 30 Fedora Update System 2019-01-03 15:41:31 UTC
lollypop-0.9.909-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-953240059f

Comment 31 Fedora Update System 2019-01-04 01:42:11 UTC
lollypop-0.9.909-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-953240059f

Comment 32 Fedora Update System 2019-01-04 02:06:55 UTC
lollypop-0.9.909-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3797a2ac77

Comment 33 Fedora Update System 2019-01-09 09:49:43 UTC
lollypop-0.9.910-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a165068bf4

Comment 34 Fedora Update System 2019-01-09 09:50:27 UTC
lollypop-0.9.910-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d3181a70ec

Comment 35 Fedora Update System 2019-01-11 04:16:22 UTC
lollypop-0.9.910-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d3181a70ec

Comment 36 Fedora Update System 2019-01-11 05:42:28 UTC
lollypop-0.9.910-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a165068bf4

Comment 37 Fedora Update System 2019-01-12 13:24:38 UTC
lollypop-0.9.910-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-aa8cbe9de0

Comment 38 Fedora Update System 2019-01-12 13:24:43 UTC
lollypop-0.9.910-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9315f9d4d9

Comment 39 Fedora Update System 2019-01-13 01:59:40 UTC
lollypop-0.9.910-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9315f9d4d9

Comment 40 Fedora Update System 2019-01-13 02:54:23 UTC
lollypop-0.9.910-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aa8cbe9de0

Comment 41 Fedora Update System 2019-01-17 10:36:07 UTC
lollypop-0.9.911-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9c7831fa55

Comment 42 Fedora Update System 2019-01-17 10:36:12 UTC
lollypop-0.9.911-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-22db71f272

Comment 43 Fedora Update System 2019-01-18 03:05:03 UTC
lollypop-0.9.911-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9c7831fa55

Comment 44 Fedora Update System 2019-01-18 03:36:24 UTC
lollypop-0.9.911-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-22db71f272

Comment 45 Fedora Update System 2019-01-18 19:35:54 UTC
lollypop-0.9.912-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-55e3aa8f6b

Comment 46 Fedora Update System 2019-01-18 19:35:58 UTC
lollypop-0.9.912-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8a170bbfb4

Comment 47 Fedora Update System 2019-01-19 01:43:50 UTC
lollypop-0.9.912-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8a170bbfb4

Comment 48 Fedora Update System 2019-01-19 04:28:52 UTC
lollypop-0.9.912-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-55e3aa8f6b

Comment 49 Fedora Update System 2019-01-23 13:29:48 UTC
lollypop-0.9.913-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c3d99f8ca4

Comment 50 Fedora Update System 2019-01-23 13:29:53 UTC
lollypop-0.9.913-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-dab2b534b3

Comment 51 Fedora Update System 2019-01-24 04:37:09 UTC
lollypop-0.9.913-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-dab2b534b3

Comment 52 Fedora Update System 2019-01-24 05:31:50 UTC
lollypop-0.9.913-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c3d99f8ca4

Comment 53 Fedora Update System 2019-01-24 14:05:31 UTC
lollypop-0.9.914-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e113a462c2

Comment 54 Fedora Update System 2019-01-24 14:05:36 UTC
lollypop-0.9.914-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-da9fcc4532

Comment 55 Fedora Update System 2019-01-25 03:25:47 UTC
lollypop-0.9.914-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e113a462c2

Comment 56 Fedora Update System 2019-01-25 04:29:46 UTC
lollypop-0.9.914-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-da9fcc4532

Comment 57 Fedora Update System 2019-01-28 07:35:17 UTC
lollypop-0.9.915-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3558dfa9d7

Comment 58 Fedora Update System 2019-01-28 07:35:21 UTC
lollypop-0.9.915-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4ea0ee50b8

Comment 59 Fedora Update System 2019-01-29 02:09:39 UTC
lollypop-0.9.915-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4ea0ee50b8

Comment 60 Fedora Update System 2019-01-29 03:56:40 UTC
lollypop-0.9.915-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3558dfa9d7

Comment 61 Fedora Update System 2019-01-29 12:19:24 UTC
lollypop-0.9.916-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbd6fac865

Comment 62 Fedora Update System 2019-01-29 12:19:31 UTC
lollypop-0.9.916-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2381d86822

Comment 63 Fedora Update System 2019-01-30 01:58:40 UTC
lollypop-0.9.916-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2381d86822

Comment 64 Fedora Update System 2019-01-30 03:01:23 UTC
lollypop-0.9.916-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbd6fac865

Comment 65 Fedora Update System 2019-02-09 01:51:39 UTC
lollypop-0.9.916-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 66 Fedora Update System 2019-02-09 02:12:52 UTC
lollypop-0.9.916-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.